from django.urls import path
from management import views
from django.contrib.auth import views as auth_views

urlpatterns = [
    path('academic-staff-dashboard/courses-programmes-list', views.showCoursesAcademic, name='courses_academics'),
    path('a--dashboard/courses-programmes-list', views.showCoursesAdmin, name='courses_admin'),
    path('a--dashboard/invoices', views.showInvoicesAdmin, name='invoices_admin'),
    path('a--dashboard/invoices/<str:id>', views.showAdminInvoice, name='show_admin_invoice'),
    path('a--dashboard/invoice/submit', views.allInvoices, name='all_invoices'),
    path('a--dashboard/results-2021-2022-harmattan', views.showAdminResults2122H, name='admin_results_2122h'),

    path('academic-staff-dashboard/courses-programmes-list/export-csv/<str:id>', views.exportCSVCourse, name='export_csv_course'),
    path('a--dashboard/courses-programmes-list/export-csv/<str:id>', views.exportCSVCourse, name='export_csv_course'),
    path('academic-staff-dashboard/courses-programmes-list/upload/<str:id>', views.uploadCSV, name='upload_csv'),
    path('a--dashboard/courses-programmes-list/upload/<str:id>', views.uploadCSVAdm, name='upload_csv_adm'),

    path('undergrad-dashboard/courses', views.showCoursesUnderGrad, name='courses_undergrads'),
    path('undergrad-dashboard/register-course/<int:id>', views.registerCourse, name='register_course'),
    path('undergrad-dashboard/registered-courses-list-100l-harmattan', views.showCoursesRegisteredUnderGrad100Harm, name='courses_registered_undergrads_100_harm'),
    path('undergrad-dashboard/registered-courses-list-200l-harmattan', views.showCoursesRegisteredUnderGrad200Harm, name='courses_registered_undergrads_200_harm'),
    path('undergrad-dashboard/registered-courses-list-300l-harmattan', views.showCoursesRegisteredUnderGrad300Harm, name='courses_registered_undergrads_300_harm'),
    path('undergrad-dashboard/registered-courses-list-400l-harmattan', views.showCoursesRegisteredUnderGrad400Harm, name='courses_registered_undergrads_400_harm'),

    path('undergrad-dashboard/registered-courses-list-100l-rain', views.showCoursesRegisteredUnderGrad100Rain, name='courses_registered_undergrads_100_rain'),
    path('a--dashboard/spreadsheet', views.addSpreadsheet, name='spreadsheet'),
]
